<?xml version="1.0" encoding="windows-1252"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:param name="mode"/>

<xsl:template match="printfg">
  <html>
  <xsl:comment>Facilitor Graphics default XSL template</xsl:comment>
  <!--mode FG0 A4 zonder legenda
      mode FG1 A4 met legenda links ervan
      mode FG2 A3 zonder legenda
      mode FG3 A3 met legenda links ervan
  -->
  <xsl:call-template name="htmlhead" />
    <script type="text/javascript">
      window.document.title="Facilitor Graphics: <xsl:value-of select="plaats/alg_locatie_code"/>-<xsl:value-of select="plaats/alg_gebouw_code"/>-<xsl:value-of select="plaats/alg_verdieping_omschrijving"/>"
      <xsl:if test="thema/CAD_THEMA_OMSCHRIJVING!=''">
          +"&#160;/Thema:&#160;<xsl:value-of select="thema/CAD_THEMA_OMSCHRIJVING"/>";
       </xsl:if>
    </script>
  <body style="background-color:white;margin:0;padding:0;" onload="window.print()">
  <table border="0" width="100%" cellpadding="2">
    <xsl:choose>
      <xsl:when test="$mode='FG0'">
          <tr>
            <td colspan="2" style="text-align: center">
                <xsl:element name='img'>
                    <xsl:attribute name="src">
                       <xsl:value-of select="pngURL"/>&amp;vKey=<xsl:value-of select="vKey"/>&amp;paperWidth=240&amp;paperHeight=155&amp;DWGScale=<xsl:value-of select="DWGScale"/>
                    </xsl:attribute>
                    <xsl:attribute name="style">width:240mm</xsl:attribute>
                    <xsl:attribute name="border">1</xsl:attribute>
                </xsl:element>
            </td>
          </tr>
      </xsl:when>
      <xsl:when test="$mode='FG1'">
          <tr>
            <td><xsl:element name='iframe'>
                    <xsl:attribute name="frameborder">0</xsl:attribute>
                    <xsl:attribute name="style">width:50mm;height:150mm</xsl:attribute>
                    <xsl:attribute name="scrolling">no</xsl:attribute>
                    <xsl:attribute name="src">../CAD/legenda.asp?forPrint=1&amp;scenario_key=<xsl:value-of select="scenario"/>&amp;thema=<xsl:value-of select="THEMA_KEY"/>&amp;parentKey=<xsl:value-of select="vKey"/>&amp;mode=<xsl:value-of select="inoutMode"/>
                    </xsl:attribute>
                </xsl:element>
            </td>
            <td><xsl:element name='img'>
                    <xsl:attribute name="src">
                       <xsl:value-of select="pngURL"/>&amp;vKey=<xsl:value-of select="vKey"/>&amp;paperWidth=192&amp;paperHeight=155&amp;DWGScale=<xsl:value-of select="DWGScale"/>
                    </xsl:attribute>
                    <xsl:attribute name="style">width:192mm</xsl:attribute>
                    <xsl:attribute name="border">1</xsl:attribute>
                </xsl:element>
            </td>
          </tr>
      </xsl:when>
      <xsl:when test="$mode='FG2'">
          <tr>
            <td colspan="2" style="text-align: center">
                <xsl:element name='img'>
                    <xsl:attribute name="src">
                       <xsl:value-of select="pngURL"/>&amp;vKey=<xsl:value-of select="vKey"/>&amp;paperWidth=360&amp;paperHeight=253&amp;DWGScale=<xsl:value-of select="DWGScale"/>
                    </xsl:attribute>
                    <xsl:attribute name="style">width:360mm</xsl:attribute>
                    <xsl:attribute name="border">1</xsl:attribute>
                </xsl:element>
            </td>
          </tr>
      </xsl:when>
      <xsl:when test="$mode='FG3'">
          <tr>
            <td width="50mm"><xsl:element name='iframe'>
                    <xsl:attribute name="frameborder">0</xsl:attribute>
                    <xsl:attribute name="style">width:50mm;height:250mm</xsl:attribute>
                    <xsl:attribute name="scrolling">no</xsl:attribute>
                    <xsl:attribute name="src">../CAD/legenda.asp?forPrint=1&amp;scenario_key=<xsl:value-of select="scenario"/>&amp;thema=<xsl:value-of select="THEMA_KEY"/>&amp;parentKey=<xsl:value-of select="vKey"/>&amp;mode=<xsl:value-of select="inoutMode"/>
                    </xsl:attribute>
                </xsl:element>
            </td>
            <td>
                <xsl:element name='img'>
                    <xsl:attribute name="src">
                       <xsl:value-of select="pngURL"/>&amp;vKey=<xsl:value-of select="vKey"/>&amp;paperWidth=310&amp;paperHeight=253&amp;DWGScale=<xsl:value-of select="DWGScale"/>
                    </xsl:attribute>
                    <xsl:attribute name="style">width:310mm</xsl:attribute>
                    <xsl:attribute name="border">1</xsl:attribute>
                </xsl:element>
            </td>
          </tr>
      </xsl:when>
      <xsl:otherwise>
        Unknown template <xsl:value-of select="$mode"/>
      </xsl:otherwise>
    </xsl:choose>
    <tr>
      <td style="text-align:left"><strong>
        <xsl:value-of select="plaats/alg_locatie_code"/>-<xsl:value-of select="plaats/alg_gebouw_code"/>-<xsl:value-of select="plaats/alg_verdieping_omschrijving"/>
        <xsl:if test="thema/CAD_THEMA_OMSCHRIJVING!=''">  Thema:&#160;<xsl:value-of select="thema/CAD_THEMA_OMSCHRIJVING"/>
        </xsl:if>
        </strong>
    </td>
    <td style="text-align:center"><xsl:value-of select="//header/dateTime"/></td>
    </tr>
  </table>
   <xsl:call-template name="pagefooter"/>
  </body>
  </html>
</xsl:template>


</xsl:stylesheet>
